Subject: Re: [Rats] Pre-allocation of three additional code points for EAT

From: Mike Jones <[email-masked]>
Date: Tue, 15 Feb 2022 23:52:39 +0000

FYI, I am unwilling to approve pre-registrations for claims whose definitions are still potentially in flux.  Please remove any claims for which the definitions are not definitely immutable at this point from the pre-registration request.  We will not be reserving claim numbers for those.  That can happen in a second round, once the chairs attest that their definitions are no longer subject to changes.

As a practical matter, please publish a draft where all the claim numbers that are being requested for pre-registration are described as:
	TBD (requested claim number ###)
And where all the requested claim numbers for unstable claims are simply listed as:
	TBD

That way there will be no ambiguity for IANA which claims are being pre-registered and which are not.

				Thank you,
		-- Mike (wearing my Designated Expert hat)

-----Original Message-----
From: RATS <[email-masked]> On Behalf Of Michael Richardson
Sent: Tuesday, February 15, 2022 3:46 PM
To: Laurence Lundblade <[email-masked]>
Cc: [email-masked]; Ned Smith <[email-masked]>
Subject: [EXTERNAL] Re: [Rats] Pre-allocation of three additional code points for EAT

Laurence Lundblade <[email-masked]> wrote:
    > Thanks for posting the text, Ned.

    > It’s true that hardware-model hasn’t been published in a draft yet. It
    > is only in the tip in GitHub. Apologies for confusion because of that.

integers are cheap and unlimited, next time, please post a new version before we have this kind of discussion :-)

    > Additionally, hardware-version has been modified substantially in the
    > tip in GitHub. It used to be three claims, one for chip, one for board
    > and one for device. Again, apologies for confusion around that.

    > I don’t mind dropping early allocation for these (but I’d like to do it
    > by keeping the numbers and marking them TBD so they stay sequential).

I'm not sure that is possible.
If you are reserving the numbers, then you are reserving the numbers.
Do one or the other :-)

    > I do think they are required for the final document because OEM
    > ID+Model+Version is an important way to represent device identity.

okay.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide